Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v11.ac
Class AuthenticationMethod

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.liberty.v11.ac.ACElement
oracle.security.xmlsec.liberty.v11.ac.AuthenticationMethod`

public class AuthenticationMethod
extends ACElement

Class representing the `AuthenticationMethod` element in the Liberty authentication context namespace (http://projectliberty.org/schemas/authctx/2002/05).

Since:
  1.0

Field Summary

Fields inherited from class oracle.security.xmlsec.liberty.v11.ac.ACElement
`authenticationContextClass`

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`AuthenticationMethod(org.w3c.dom.Document owner, AuthenticationContextStatement acs)` Creates a new `AuthenticationMethod` instance in the given document with the given authentication context.
`AuthenticationMethod(org.w3c.dom.Element element, AuthenticationContextStatement acs)` Creates a new `AuthenticationMethod` object that wraps the given Element object.
`AuthenticationMethod(org.w3c.dom.Element element, java.lang.String systemId, AuthenticationContextStatement acs)` Creates a new `AuthenticationMethod` object that wraps the given Element object.

Method Summary
`Authenticator` | `getAuthenticator()` Returns the `Authenticator` element for this `AuthenticationMethod`, or `null` if none has been set.
`AuthenticatorTransportProtocol` | `getAuthenticatorTransportProtocol()` Returns the `AuthenticatorTransportProtocol` element for this `AuthenticationMethod`, or `null` if none has been set.
`PrincipalAuthenticationMechanism` | `getPrincipalAuthenticationMechanism()` Returns the `PrincipalAuthemticationMethod` element for this `AuthenticationMethod`, or `null` if none has been set.
`void` | `setAuthenticator(Authenticator au)` Sets the `Authenticator` element for this `AuthenticationMethod` element, replacing any existing `Authenticator` element.
`void` | `setAuthenticatorTransportProtocol(AuthenticatorTransportProtocol atp)` Sets the `AuthenticatorTransportProtocol` element for this `AuthenticationMethod` element, replacing any existing `AuthenticatorTransportProtocol` element.
`void` | `setPrincipalAuthenticationMechanism(PrincipalAuthenticationMechanism pam)` Sets the `PrincipalAuthenticationMechanism` element for this `AuthenticationMethod` element, replacing any existing `PrincipalAuthenticationMechanism` element.

Methods inherited from class oracle.security.xmlsec.liberty.v11.ac.ACElement
`getAuthenticationContextClass, setAuthenticationContextClass`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticationMethod

    public AuthenticationMethod(org.w3c.dom.Element element,
                                AuthenticationContextStatement acs)

  Creates a new `AuthenticationMethod` object that wraps the given Element object.
Parameters:
  `element` - The underlying `org.w3c.dom.Element` object.
  `acs` - The authentication context for the element.

### AuthenticationMethod

    public AuthenticationMethod(org.w3c.dom.Element element,
                                java.lang.String systemId,
                                AuthenticationContextStatement acs)

  Creates a new `AuthenticationMethod` object that wraps the given Element object.
Parameters:
  `element` - The underlying `org.w3c.dom.Element` object.
  `systemId` - The URI string system ID for the `AuthenticationMethod`.
  `acs` - The authentication context for the element.

### AuthenticationMethod

    public AuthenticationMethod(org.w3c.dom.Document owner,
                                AuthenticationContextStatement acs)

  Creates a new `AuthenticationMethod` instance in the given document with the given authentication context.
Parameters:
  `owner` - The owner document for this new element.
  `acs` - The authentication context for this new element.

Method Detail

### setPrincipalAuthenticationMechanism

    public void setPrincipalAuthenticationMechanism(PrincipalAuthenticationMechanism pam)
                                             throws AuthenticationContextException

  Sets the `PrincipalAuthenticationMechanism` element for this `AuthenticationMethod` element, replacing any existing `PrincipalAuthenticationMechanism` element.
  Throws:
    `AuthenticationContextException` - If the `PrincipalAuthenticationMechanism` element is not valid for this authentication context class.

### getPrincipalAuthenticationMechanism

    public PrincipalAuthenticationMechanism getPrincipalAuthenticationMechanism()

  Returns the `PrincipalAuthemticationMethod` element for this `AuthenticationMethod`, or `null` if none has been set.

### setAuthenticator

    public void setAuthenticator(Authenticator au)
                          throws AuthenticationContextException

  Sets the `Authenticator` element for this `AuthenticationMethod` element, replacing any existing `Authenticator` element.
  Throws:
    `AuthenticationContextException` - If the `Authenticator` element is not valid for this authentication context class.

### getAuthenticator

    public Authenticator getAuthenticator()

  Returns the `Authenticator` element for this `AuthenticationMethod`, or `null` if none has been set.

### setAuthenticatorTransportProtocol

    public void setAuthenticatorTransportProtocol(AuthenticatorTransportProtocol atp)
                                           throws AuthenticationContextException

  Sets the `AuthenticatorTransportProtocol` element for this `AuthenticationMethod` element, replacing any existing `AuthenticatorTransportProtocol` element.
  Throws:
    `AuthenticationContextException` - If the `AuthenticatorTransportProtocol` element is not valid for this authentication context class.

### getAuthenticatorTransportProtocol

    public AuthenticatorTransportProtocol getAuthenticatorTransportProtocol()

  Returns the `AuthenticatorTransportProtocol` element for this `AuthenticationMethod`, or `null` if none has been set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.